पता लगाएं कि HTML5 इतिहास समर्थित है या नहीं




pushstate html5-history (3)

मैं कैसे जांच सकता हूं कि आप जिस ब्राउज़र का उपयोग कर रहे हैं वह HTML5 इतिहास एपीआई का समर्थन करता है?

जैसा कि आप यहां देख सकते हैं http://caniuse.com/#search=history केवल क्रोम + एफएफ 4 और कई अन्य इसका समर्थन करते हैं और अगर मैं इसका समर्थन नहीं कर सकता तो मैं कुछ और करना चाहता हूं।

इस जांच के लिए मैं किसी प्रकार का कथन कैसे बना सकता हूं?


आप Modernizr का उपयोग कर इतिहास प्रबंधन (साथ ही साथ कई अन्य ब्राउज़र सुविधाओं) के लिए समर्थन का पता लगा सकते हैं।

if (Modernizr.history)


आप यह पता लगाने के लिए canisuse.js स्क्रिप्ट का उपयोग कर सकते हैं कि आपके ब्राउज़र इतिहास का समर्थन करते हैं या नहीं

caniuse.history()




html5-history